"""Include the reactive charm lib path in PYTHONLIB."""
import os
import pathlib
import sys


def _add_path(path):
    if path not in sys.path:
        sys.path.insert(1, path)


built_charm = pathlib.Path(os.environ["CHARM_BUILD_DIR"]) / "graylog"
# Need to avoid importing c.l.graylog as it wants charmhelpers etc.
_add_path(str(built_charm / "lib/charms/layer/graylog"))
